# Created by pyp2rpm-3.3.2
%global pypi_name apipkg
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        1.5
Release:        %mkrel 4
Summary:        apipkg: namespace control and lazy-import mechanism
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/apipkg
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools) >= 30.3.0
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(pytest)

%description
Welcome to apipkg! With apipkg you can control the exported namespace of a
Python package and greatly reduce the number of imports for your users. It is a
small pure Python module_ that works on CPython 2.7 and 3.4+, Jython and PyPy.
It cooperates well with Python's help() system, custom importers (PEP302) and
common command-line completion tools.Usage is very simple: you can require
'apipkg'...


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Welcome to apipkg! With apipkg you can control the exported namespace of a
Python package and greatly reduce the number of imports for your users. It is a
small pure Python module_ that works on CPython 2.7 and 3.4+, Jython and PyPy.
It cooperates well with Python's help() system, custom importers (PEP302) and
common command-line completion tools.Usage is very simple: you can require
'apipkg'...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.5-4.mga8
+ Revision: 1531443
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.5-3.mga8
+ Revision: 1440341
- rebuild for python-3.8
- drop python2 subpkg

* Fri Aug 30 2019 wally <wally> 1.5-2.mga8
+ Revision: 1435594
- build without python2 pytest

* Thu Jan 10 2019 kekepower <kekepower> 1.5-1.mga7
+ Revision: 1354611
- imported package python-apipkg

